#### D.6.4.7 milnorcode

Procedure from library `classify.lib` (see classify_lib).

Usage:
  milnorcode(f[,e]); f=poly, e=int

Return:
  intvec, coding the Hilbert function of the e-th Milnor algebra of f, i.e. of basering/(jacob(f)^e) (default e=1), according to proc Hcode

Example:

    LIB "classify.lib";
    ring r=0,(x,y,z),ds;
    poly f=x2y+y3+z2;
    milnorcode(f);
    ==> 1,1,1
    milnorcode(f,2);  // a big second argument may result in memory overflow
    ==> 1,0,1,0,2,0,0,1,0

User manual for Singular version 4.4.1, 2025, generated by texi2html.